---
title: Parsing Command Line Arguments
teaching: 20
exercises: 10
questions:
- "How can I access arguments passed to my Python script at runtime?"
- "How can I create a sophisticated command line interface for my script?"
- "How can I provide the user with more information about how to run my code?"
objectives:
- "access command line arguments with `sys.argv`."
- "parse and use arguments and options with `argparse`."
- "create a comprehensive usage statement for their script."
keypoints:
- "Positional command line arguments can be accessed from inside a script through the `sys.argv` object."
- "The `argparse` module allows us to create extensive and powerful command line interfaces for our scripts."
- "`argparse` also constructs a standardised usage statement according to the parser's configuration."
---

## plan

- Toby currently scheduled to lead this session
- `sys.argv`
- `argparse`
  - positonal arguments
  - options
  - capturing multiple items in a single argument
  - usage statements
  - help text
- [`docopt`](http://docopt.org/) (?)
- [`click`](https://click.palletsprojects.com/en/7.x/) (?)
- [comparison of argparse, docopt and click](https://realpython.com/comparing-python-command-line-parsing-libraries-argparse-docopt-click/)

{% include links.md %}
